%define upstream_name Services_Delicious
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.6.0
Release:     	%mkrel 3
Summary:    	Client for the del.icio.us web service
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Delicious-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Delicious
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
Requires:	php-pear-HTTP_Request2
Requires:	php-pear-XML_Serializer >= 0.12.0
BuildArch: 	noarch

%description
Services_Delicious is a client for the REST-based web service of
del.icio.us.
del.icio.us is a social bookmarks manager. It allows you to easily add
sites you like to your personal collection of links, to categorize those
sites with keywords, and to share your collection not only between your own
browsers and machines, but also with others.
Services_Delicious allows you to select, add and delete your bookmarks from
any PHP script.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Delicious.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Delicious.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Delicious
fi

%files
%defattr(-,root,root)
%doc docs/Services_Delicious/*
%{peardir}/*
%{xmldir}/Services_Delicious.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 517218
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 377250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.6.0-1.mga2
+ Revision: 196156
- upgrade to 0.6.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.5.0-6.mga1
+ Revision: 44192
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Delicious


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-6mdv2011.0
+ Revision: 613768
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-5mdv2010.1
+ Revision: 467077
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.0-4mdv2010.0
+ Revision: 441565
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-3mdv2009.1
+ Revision: 322658
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-2mdv2009.0
+ Revision: 237062
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdv2008.0
+ Revision: 15749
- 0.5.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2007.0
+ Revision: 82574
- Import php-pear-Services_Delicious

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdk
- 0.3.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

